﻿function saveButton (button, form, text) {
  curForm = document.getElementById(form);
  if(curForm.checkValidity()) {
    button.innerHTML = text + ' <span class="spinner"></span>';
    button.disabled = true;
    curForm.submit();
  }
}

function removeButton (event, button, message, link, text) {
  event.preventDefault();

  if (confirm(message)) {
    button.innerHTML = text + ' <span class="spinner"></span>';
    button.disabled = true;
    location.href = link;
  }
}

function inputKeyUp(event, elem) {
  isAddRow=0;
  elem2 = elem;
  button = document.getElementById('save_button');

  //Is this an element used for creating a new row?
  while(elem2 != null) {
    if(elem2.classList.contains("collapse-content")) {
      isAddRow = 1;
      break;
    }
    elem2 = elem2.parentElement;
  }

  //if so find nearest save button and activate this to save the row on 'enter'
  if(isAddRow==1) {
    elem2 = elem;
    while(elem2 != null) {
      if(elem2.classList.contains("save")) {
        button = elem2;
        break;
      }
      if(elem2.nextElementSibling == null)
        elem2 = elem2.parentElement.nextElementSibling;
      else
        elem2 = elem2.nextElementSibling;
    }
  }

  if (event.keyCode === 13) { 
    event.preventDefault(); 
    button.click(); 
  }
}